List Notes
curl --request GET \
--url http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/notes \
--header 'Authorization: Bearer <token>'import requests
url = "http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes?page=1&perPage=3"
},
"next": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes?page=2&perPage=3"
},
"last": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes?page=6&perPage=3"
}
},
"notes": [
{
"_links": {
"self": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes/bc1c5197-c195-49a6-b3df-9662b8684dce"
}
},
"id": "bc1c5197-c195-49a6-b3df-9662b8684dce",
"message": "The user must have clicked the wrong button.",
"private": "mssp://some-mssp.alienvault.cloud",
"created": {
"by": "ace@some.mssp.com",
"on": "2018-11-07T17:02:42,981Z"
},
"lastModified": {
"by": "updater@some.mssp.com",
"on": "2018-11-07T17:03:02,491Z"
}
},
{
"_links": {
"self": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes/88ed6265-ceea-44b9-86c0-fb9e6be8614e"
}
},
"id": "88ed6265-ceea-44b9-86c0-fb9e6be8614e",
"message": "What did this guy do?",
"private": "mssp://usmc.alienvault.cloud",
"created": {
"by": "ace@some.mssp.com",
"on": "2018-11-07T15:49:43,023Z"
},
"lastModified": {
"by": "ace@some.mssp.com",
"on": "2018-11-07T15:49:43,023Z"
}
},
{
"_links": {
"self": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes/c6c60d38-d304-4d68-9601-a22d08854401"
}
},
"id": "c6c60d38-d304-4d68-9601-a22d08854401",
"message": "This is an interesting event that we should research more.",
"private": null,
"created": {
"by": "user@asecurityteam.com",
"on": "2018-11-07T15:39:22,531Z"
},
"lastModified": {
"by": "user@asecurityteam.com",
"on": "2018-11-07T15:39:22,531Z"
}
}
]
}{
"errorId": "<string>",
"message": "<string>",
"variables": [
"<string>"
],
"errorUrl": "<string>"
}Notes
List Notes
Returns a list of notes associated with an investigation.
GET
/
investigations
/
{investigationId}
/
notes
List Notes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of an investigation.
⌘I